﻿using System;
using System.Windows.Forms;

namespace SharQL.Algebra.Visualizer
{
	internal partial class VisualizerForm : Form
	{
		public VisualizerForm()
		{
			InitializeComponent();
		}

		public TreeNodeCollection Nodes1
		{
			get { return treeViewAst1.Nodes; }
		}

		public TreeNodeCollection Nodes2
		{
			get { return treeViewAst2.Nodes; }
		}

		private void buttonClose_Click(object sender, EventArgs e)
		{
			Close();
		}

		private void VisualizerForm_Shown(object sender, EventArgs e)
		{
			treeViewAst1.ExpandAll();
			treeViewAst2.ExpandAll();
		}
	}
}
