﻿using SharQL.Ast.Nodes;

namespace SharQL.Algebra.QueryStructure
{
	public class Graph : Pattern
	{
		public IriRefNode IRI { get; private set; }
		public VarNode Variable { get; private set; }
		public Pattern Pattern { get; private set; }

		public Graph(IriRefNode iri, Pattern pattern)
		{
			IRI = iri;
			Variable = null;
			Pattern = pattern;
		}

		public Graph(VarNode var, Pattern pattern)
		{
			IRI = null;
			Variable = var;
			Pattern = pattern;
		}
	}
}
