﻿using System.Collections.Generic;

namespace SharQL.Algebra.QueryStructure
{
    public class Query
    {
        public string Base { get; set; }
        public Dictionary<string, string> Prefixes { get; private set; }
        public QueryDescriptionBase Description { get; set; }

        internal Query()
        {
            Prefixes = new Dictionary<string, string>();
        }
    }
}
