﻿
namespace SharQL.Algebra.QueryStructure
{
    public enum ResourceType { Iri, Blank, Literal, Variable }

    public class Resource
    {
        public ResourceType Type { get; private set; }
        public string Value { get; private set; }

        public Resource(ResourceType type, string value)
        {
            Type = type;
            Value = value;

            if (type == ResourceType.Blank)
            {
                Value = Value.Replace('-', '_');
            }
        }
    }
}
