﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
	public class ConstructQueryNode : NodeBase
	{
		public ConstructQueryNode(params NodeBase[] children)
			: base(children) { }

		public INode ConstructTemplate { get { return children[0]; } }
		public INode DatasetClauseList { get { return children[1]; } }
		public INode WhereClause { get { return children[2]; } }
		public INode SolutionModifier { get { return children[3]; } }
	}
}
