﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
	public class FunctionCallNode : NodeBase
	{
		public FunctionCallNode(NodeBase iriRef, NodeBase argList)
			: base(iriRef, argList) { }

        public IriRefNode IriRef
        {
            get { return children[0] as IriRefNode; }
            set { children[0] = value; }
        }

        public ArgListNode ArgList
        {
            get { return children[1] as ArgListNode; }
            set { children[1] = value; }
        }
	}
}
