﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
    public class IriRefNode : NodeBase
    {
		private string _ref = string.Empty;

        public string Value 
		{
			get { return _ref; }
			set
			{
				_ref = value;
				if (_ref.StartsWith("<") && _ref.EndsWith(">"))
				{
					_ref = _ref.Substring(1, _ref.Length - 2);
				}
			}
		}
    }
}
