﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
    public class NumericLiteralNode : NodeBase
    {
        public enum LiteralType { Int, Double, Decimal };

        public NumericLiteralNode(params NodeBase[] children) : base(children) 
        {
        }

        public int IntValue { get; set; }
        public double DoubleValue { get; set; }
        public decimal DecimalValue { get; set; }

        public LiteralType Type { get; set; }
    }
}
