﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Visitor
{
	/// <summary>The order of application for visitors.</summary>
	public enum VisitorOrder 
	{ 
		/// <summary>Visitor is applied to the parent before its children.</summary>
		ParentBeforeChildren, 
		/// <summary>Visitor is applied to the a node's children before itself.</summary>
		ChildrenBeforeParent 
	};
}
