﻿using SharQL.Ast;

namespace SharQL.Algebra.QueryStructure
{
	public class Filter : Pattern
	{
		public INode ConstraintExpression { get; private set; }
		public Pattern Pattern { get; private set; }

		public Filter(INode constraintExpression, Pattern pattern)
		{
			ConstraintExpression = constraintExpression;
			Pattern = pattern;
		}
	}
}
