﻿using SharQL.Ast;

namespace SharQL.Algebra.QueryStructure
{
	public class LeftJoin : Pattern
	{
		public Pattern LeftPattern { get; private set; }
		public Pattern RightPattern { get; private set; }
		public INode ConstraintExpression { get; private set; }

		public LeftJoin(Pattern leftPattern, Pattern rightPattern, INode constraintExpression)
		{
			LeftPattern = leftPattern;
			RightPattern = rightPattern;
			ConstraintExpression = constraintExpression;
		}
	}
}
