﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
    public class BuiltInCallNode : NodeBase
    {
        public enum CallType { Str, Lang, LangMatches, Datatype, Bound, SameTerm, IsIri, IsUri, IsBlank, IsLiteral, Regex }

        public BuiltInCallNode(CallType callType, params NodeBase[] children) : base(children) 
        {
            Type = callType;
        }

        public CallType Type { get; set; }
    }
}
