﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
    public class RdfLiteralNode : NodeBase
    {
		public RdfLiteralNode(NodeBase @string, NodeBase iriRef)
			: base(@string, iriRef) { }

        public INode String 
		{
			get { return children[0]; }
			set { children[0] = value; }
		}
		public INode IriRef 
		{
			get { return children[1]; }
			set { children[1] = value; }
		}
		public string LangTag { get; set; }
    }
}
