﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharQL.Ast.Nodes
{
	public class SelectQueryNode : NodeBase
	{
		public SelectQueryNode(params NodeBase[] children)
			: base(children) { }

		public INode DistinctReducedModifier { get { return children[0]; } }
		public INode StarVarList { get { return children[1]; } }
		public INode DatasetClauseList { get { return children[2]; } }
		public INode WhereClause { get { return children[3]; } }
		public INode SolutionModifier { get { return children[4]; } }
	}
}
