﻿using System;

namespace SharQL.Ast.Visitor
{
	/// <summary>Sample visitor implementation</summary>
	internal class ParserVisitor : IVisitor
	{
		public Action<INode> this[Type nodeType]
		{
			get 
			{
				if (nodeType == typeof(SampleNode))
					return VisitSampleNode;
				else
					return NoOp;
			}
		}

		public void VisitSampleNode(INode node)
		{
			SampleNode n = node as SampleNode;
			if (n != null)
			{
				// Do something
			}
		}

		public void NoOp(INode node)
		{
			// Log unrecognized node
		}
	}
}
