﻿using SharQL.Ast;

namespace SharQL
{
	public partial struct ValueType
	{
		/// <summary>
		/// Specifies implicit conversion from <see cref="ValueType"/>
		/// to <see cref="NodeBase"/>.
		/// </summary>		
		public static implicit operator NodeBase(ValueType t)
		{
			return t.Value;
		}

		/// <summary>
		/// Specifies implicit conversion from <see cref="NodeBase"/>
		/// to <see cref="ValueType"/>.
		/// </summary>	
		public static implicit operator ValueType(NodeBase t)
		{
			return new ValueType() { Value = t };
		}
	}
}
